
Website Input - Task #1606

Convert proxy call to use POST

11/19/2016 02:07 AM - Luke Murphey

Status: Closed Start date: 11/19/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Dashboard: Input Editor Estimated time: 0.00 hour

Target version: 4.0   

Description

http://stackoverflow.com/questions/168455/how-do-you-post-to-an-iframe

History

#1 - 11/20/2016 04:48 AM - Luke Murphey

The iframe / form is working. However, the controller is redirecting from the POST and thus converting the request to a GET.

Removing the GET option still redirects; it just makes the endpoint return 405

Replacing the controller code with just a string doesn't change the behavior

Using a form to ensure that the argument is provided as a GET param doesn't change the behavior

#2 - 11/20/2016 04:52 AM - Luke Murphey

It looks like authentication is failing.

#3 - 11/20/2016 04:59 AM - Luke Murphey

Might need to do something to pass the CSRF token in or disable it for this endpoint: 

https://docs.splunk.com/Documentation/Splunk/6.5.0/Admin/Webconf

#4 - 11/20/2016 05:37 AM - Luke Murphey

I need to set the X-Splunk-Form-Key header. This can be obtained by calling Splunk.util.getFormKey().

#5 - 11/20/2016 05:38 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
